function GetLegnepszerubb() {
    const def = 'LECSÓ KOLBÁSZCSIPSSZEL'

    fetch('/api/legnepszerubb', { method: 'GET' })
        .then(res => {
            res.json()
                .then(json => {
                    document.getElementById('legnepszerubb').innerText = json.etelNev ?? def
                })
                .catch(error => {
                    document.getElementById('legnepszerubb').innerText = json.etelNev ?? def
                    console.error(error)
                })
        })
        .catch(error => {
            document.getElementById('legnepszerubb').innerText = json.etelNev ?? def
            console.error(error)
        })
}

function PostVendegkonyv() {
    const bejegyzes = document.getElementById('bejegyzes').value
    const body = {
        bejegyzes: bejegyzes,
    }
    console.log(body)
    fetch('/api/vendegkonyv', {
        method: 'POST',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(body),
    })
    .then(res => {
        console.log(res)
        res.json()
            .then(json => {
                const resBejegyzes = json.bejegyzes
                console.log(resBejegyzes)
            })
            .catch(error => {
                console.error(error)
            })
    })
    .catch(error => {
        console.error(error)
    })
}

GetLegnepszerubb()